Subject: Single-machine View στο GUI

Description

Έχει ανέβει mockup (web_layout_0.0.9.png) στο οποίο φαίνεται το τρίτο view (single) εκτός των icon και list για τα VMs.

Για να είναι προσβάσιμο θα μπει ο χαρακτήρας "1" πριν το "#". Το "#" θα παραμείνει το default view.

Αριστερά και επάνω θα φαίνεται ένα VM με όλες τις πληροφορίες δίπλα.

Κάτω από το εικονίδιο του VM, μπαίνει ένα frame με όλα τα actions και στο title του frame μπαίνει το state.

Στο δεξί μέρος της οθόνης υπάρχει μία λίστα με όλα τα VMs από την οποία μπορεί ο χρήστης να διαλέξει απευθείας άλλο single view

για άλλο VM.

Τα κουμπιά "previous" και "next" του δείχνουν το προηγούμενο/επόμενο VM που φαίνεται αντίστοιχα στη λίστα.

Κάτω από αυτό το κεντρικό μενού υπάρχουν τρία panes που γίνονται minimize και maximize ( v ^ ) όπως φαίνεται στο mockup.

Στα δύο πρώτα panes θα μπουν πληροφορίες που έχουν να κάνουν με disks και networks.

Στο τρίτο pane θα μπουν τα διαγράμματα με τα στατιστικά.

Για την ώρα δεν γεμίζετε τα 3 panes. Απλά να παίζει η λειτουργικότητα της κάθε μπάρας που γίνεται maximize και minimize.

Associated revisions

Revision ea2c4f28 - 05/11/2011 01:39 pm - Mike Muzurakis

initial commit for icon view, Refs #373

Revision cfbcd8b1 - 05/12/2011 10:22 am - Mike Muzurakis

correct single view naming, Refs #373

Revision 1a420b96 - 05/12/2011 02:30 pm - Mike Muzurakis

highlight selected server on single view widget, Refs #373

Revision d41e1e6f - 05/12/2011 04:16 pm - Mike Muzurakis

enable previous/next buttons on single view, Refs #373

History

#1 - 04/08/2011 05:47 pm - Vangelis Koukis

- Subject changed from Machine Single View στο GUI to Single-machine View στο GUI

#2 - 04/20/2011 01:08 pm - Vangelis Koukis

- Target version set to v0.4

04/09/2024 1/2



Αυτό συμφωνήθηκε σήμερα να πάει για v0.4 και να είναι έτοιμο τότε.

#3 - 05/11/2011 02:51 pm - Mike Muzurakis

- Status changed from New to Feedback

Εδώ ακολούθησα μέχρι στιγμής το web_layout_0.0.10-9.png. Δεν βλέπω όμως χώρο για τα confirmations πριν το κάθε action. Υπάρχει κάπου

συγκεκριμένα που θέλετε να μπουν;

#4 - 05/14/2011 03:13 pm - Christos Psaltis

Εδώ μένει να μας δώσετε πληροφορίες για το πού και πώς θα εμφανίζεται το confirmation/error/success και οι αντίστοιχοι indicators, spinner και

κύμα.

Το θέμα με το widget που περνάει πολλά μηχανήματα μαζί και που ανέφερε ο Βαγγέλης στο demo, δεν κατάφερα να το αναπαράγω σε firefox, chrome

ή opera.

Μπορείς να μου δώσεις κάποιο στοιχείο παραπάνω για να το κάνω replicate?

#5 - 05/16/2011 02:35 pm - Vangelis Koukis

Στην τελευταία έκδοση που βλέπω τώρα δεν το κάνει, κάνει κάποια άλλα artifacts όμως.

Ένα από αυτά: όταν χρησιμοποιώ το "Create New +", φτιάχνει το νέο μηχάνημα, αλλά εξαφανίζει τα κουμπιά "previous / next" πάνω από τη λίστα των

μηχανημάτων.

Για το πού θα βγαίνουν τα confirmations, θα συμπληρώσει ο cven.

#6 - 05/16/2011 02:35 pm - Vangelis Koukis

- Status changed from Feedback to Assigned

#7 - 05/28/2011 02:04 pm - Mike Muzurakis

- Status changed from Assigned to Feedback

- Assignee changed from Christos Psaltis to Mike Muzurakis

Οκ,τα prev,next σε μένα έχουν σωστή συμπεριφορά πλέον.

#8 - 06/01/2011 11:45 am - Vangelis Koukis

- Status changed from Feedback to Closed

Αυτό κλείνει, υπάρχουν μικρές αλλαγές που πρέπει να γίνουν όσον αφορά την εμφάνιση, θα ανοίξουν για v0.5.
